function y=sinc(x)
%SINC Sin(pi*x)/(pi*x) function.
%   SINC(X) returns a matrix whose elements are the sinc of the elements 
%   of X, i.e.
%        y = sin(pi*x)/(pi*x)    if x ~= 0
%          = 1                   if x == 0
%   where x is an element of the input matrix and y is the resultant
%   output element.  

%   Author(s): T. Krauss, 1-14-93
%   Copyright (c) 1988-96 by The MathWorks, Inc.
%       $Revision: 1.7 $  $Date: 1996/07/25 16:41:15 $

y=ones(size(x));
i=find(x);
y(i)=sin(pi*x(i))./(pi*x(i));
